"""
combined settings file and initialisation of simulation using said settings
"""

name = "Kant3"

size=(500, 500)
cz=(0,0)
nRobots=100
piles=[((100,200), (130,240), [1,1,6,3,1,10, 20, 11, 30],0),
       ((350,71), (400,120), [30,1,20,3,31,16, 12, 22],5),
       ((0,300),(100, 360),[21,24,33,2,32,33,34,35],3),
       ((390,380),(420,450),[1,1,2,4,2,30,2,20,13,10,20],1)]
obstacles=[((100,100),(200,200)), ((330,100),(340,200))]
evaporatePile = lambda x:.90*x
dropPile = lambda x,y,z:x+.05*y*(.2*z**.5 + .2) #normal (1) if z == 4
treshold =  lambda x: 10
l=2
speed=6
distance1 = lambda x: 1
distance2 = lambda x: 1
goalSwitch = 0
searchChoice = lambda bblen, nrob: min((10.*bblen)/(nrob),1)


if __name__ == "__main__":
    import simulation
    #import os#not needed after all
    f=open("./results/"+name+".py","w")
    f.write("data = [\n")
    f.close()
    for i in range(20):
        #it will run 20 simulations with the above settings
        sim = simulation.runSimulation(
        size=size,
        cz=cz,
        nRobots=nRobots,
        piles=piles,
        obstacles=obstacles,
        evaporatePile=evaporatePile,
        dropPile = dropPile,
        treshold = treshold,
        l=l,
        distance1=distance1,
        distance2=distance2,
        speed=speed,
        goalSwitch = goalSwitch)
        f=open("./results/"+name+".py","a+")
        f.write(repr(sim.researchData)+",\n")
        f.close()
    f=open("./results/"+name+".py","a+")
    f.write("]")
    f.close()